#
# spec file for package perl-Text-Levenshtein
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Text-Levenshtein
Name:           perl-Text-Levenshtein
Version:        0.15
Release:        1.5
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Calculate the Levenshtein edit distance between two strings
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEILB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Unicode::Collate) >= 1.04
BuildRequires:  perl(parent)
Requires:       perl(Unicode::Collate) >= 1.04
%{perl_requires}

%description
This module implements the Levenshtein edit distance, which measures the
difference between two strings, in terms of the _edit distance_. This
distance is the number of substitutions, deletions or insertions ("edits")
needed to transform one string into the other one (and vice versa). When
two strings have distance 0, they are the same.

To learn more about the Levenshtein metric, have a look at the at
http://en.wikipedia.org/wiki/Levenshtein_distance.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sun Apr 17 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.15
  see /usr/share/doc/packages/perl-Text-Levenshtein/Changes
  0.15 2022-04-16 NEILB
  - Looking at gaps in test coverage revealed some clumsily written logic.
    Refactoring it not only made the code better, but improved coverage.
* Thu Mar 25 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.14
  see /usr/share/doc/packages/perl-Text-Levenshtein/Changes
* Sun Aug 23 2015 coolo@suse.com
- updated to 0.13
  see /usr/share/doc/packages/perl-Text-Levenshtein/Changes
  0.12 2015-08-11 NEILB
  - Added Text::Dice to SEE ALSO.
  - Added [MetaJSON] to dist.ini, so META.json will be included in
    the release tarball.
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.12
  see /usr/share/doc/packages/perl-Text-Levenshtein/Changes
* Wed Jan 11 2012 pascal.bleser@opensuse.org
- initial version (0.05)
